package com.gic.auth.qo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class UserMenuQO implements Serializable{
    private static final long serialVersionUID = 2570558155342976221L;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 商户基础服务版本号
     */
    private String baseVersionCode;

    /**
     * 登录用户ID
     */
    private Integer userId;

    /**
     * 当前菜单ID，一般不用该参数
     */
    private Integer currentMenu;

    /**
     * 应用ID，用于过滤应用菜单
     */
    private String appId;

    /**
     * 登录运营人员所在的部门职位列表
     * 元素：部门code-职位code，例如 D1-P1
     */
    private Set<String> departPosition;

    private boolean isGic;

    /**
     * 是否构建树结构
     */
    private boolean isNeedTree;

    /**
     * 是否是达摩侧人员
     */
    private boolean isOperationUser;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserMenuQO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getBaseVersionCode() {
        return baseVersionCode;
    }

    public UserMenuQO setBaseVersionCode(String baseVersionCode) {
        this.baseVersionCode = baseVersionCode;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public UserMenuQO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getCurrentMenu() {
        return currentMenu;
    }

    public UserMenuQO setCurrentMenu(Integer currentMenu) {
        this.currentMenu = currentMenu;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public UserMenuQO setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Set<String> getDepartPosition() {
        return departPosition;
    }

    public UserMenuQO setDepartPosition(Set<String> departPosition) {
        this.departPosition = departPosition;
        return this;
    }

    public boolean isGic() {
        return isGic;
    }

    public UserMenuQO setGic(boolean gic) {
        isGic = gic;
        return this;
    }

    public boolean isNeedTree() {
        return isNeedTree;
    }

    public UserMenuQO setNeedTree(boolean needTree) {
        isNeedTree = needTree;
        return this;
    }

    public boolean isOperationUser() {
        return isOperationUser;
    }

    public UserMenuQO setOperationUser(boolean operationUser) {
        isOperationUser = operationUser;
        return this;
    }
}
