package com.gic.auth.dao.mapper;

import com.gic.auth.dto.MenuAuthDepartDTO;
import com.gic.auth.entity.TabSysMenuAuthDepart;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysMenuAuthDepartMapper {
    /**
     * 根据主键删除
     *
     * @param menuDepartId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer menuDepartId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysMenuAuthDepart record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysMenuAuthDepart record);

    /**
     * 根据主键查询
     *
     * @param menuDepartId 主键
     * @return 实体对象
     */
    TabSysMenuAuthDepart selectByPrimaryKey(Integer menuDepartId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysMenuAuthDepart record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysMenuAuthDepart record);

    void saveFetch(@Param("list") List<MenuAuthDepartDTO> list);

    void deleteByMenuCode(String menuCode);

    List<TabSysMenuAuthDepart> listAuthDepartByMenuCode(String menuCode);

    List<TabSysMenuAuthDepart> listAllAuthDepart(@Param("list") List<String> menuCodeList);
}