package com.gic.auth.service;

import com.gic.auth.dto.AuthItemDTO;
import com.gic.auth.dto.MenuItemDTO;
import com.gic.auth.entity.TabSysMenuItem;

import java.util.List;
/**
 * 权限项、操作项关联接口
 * @ClassName: MenuItemService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 5:36 PM 
 */
public interface MenuItemService {

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void saveFetch(List<MenuItemDTO> list);

    /**
     * 删除操作项根据权限项ID
     * @Title: deleteByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  void 
      */
    void deleteByMenuId(Integer menuId);

    void deleteByMenuIdList(List<Integer> menuId);

    /**
     * 根据操作项ID删除关联
     * @Title: deleteByItemId 
     * @Description:
      * @author guojuxing
     * @param itemId 
     * @return  void 
      */
    void deleteByItemId(Integer itemId);

    /**
     * 根据权限项查询操作项
     * @Title: listMenuItemByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenuItem> 
      */
    List<TabSysMenuItem> listMenuItemByMenuId(Integer menuId);

    List<TabSysMenuItem> listMenuItemByMenuId(List<Integer> menuIdList);

    /**
     * 获取所有的配置在权限项内的操作项
     * @Title: getOperationItemIdList 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<java.lang.Integer> 
      */
    List<Integer> getOperationItemIdList();

    /**
     * 根据操作项ID分组查询权限项和权限项内的操作项数量
     * @Title: listAuthItemGroupByItemId 
     * @Description:
      * @author guojuxing
     * @param itemId 
     * @return  java.util.List<com.gic.auth.dto.AuthItemDTO> 
      */
    List<AuthItemDTO> listAuthItemGroupByItemId(Integer itemId);


    /**
     * 查询测试环境表数据
     * @param menuId
     * @return
     */
    List<TabSysMenuItem> listByDev(Integer menuId);


}
